FAQ
Edit report at https://pear.php.net/bugs/bug.php?id=17395&edit=1

ID: 17395
Updated by: demon.gene@gmail.com
Reported By: liorbroshi at gmail dot com
Summary: Fatal Error when trying to run document
Status: Closed
Type: Bug
Package: PhpDocumentor
Operating System: Windows 7
Package Version: 1.4.3
PHP Version: 5.3.0
Assigned To: ashnazg
Roadmap Versions:
New Comment:

Dave, if you are seeing this same fatal on v1.4.4, and have sample code
that triggers the failure, then please add it on open bug #19197 so that
I can take a look... thanks!


Previous Comments:
------------------------------------------------------------------------

[2011-12-09 00:11:18] davel

Hi, I also get this error in 1.4.4 version:

Fatal error: Call to a member function getImplements() on a non-object
in
/var/www/svn/trunk/bin/PhpDocumentor/phpDocumentor/Converters/HTML/frames/HTMLframesConverter.inc
on line 1348

Works fine on my Mac:

PHP 5.3.6 with Suhosin-Patch (cli) (built: Sep 8 2011 19:34:00)

But not on my debian server:

PHP 5.2.6-1+lenny13 with Suhosin-Patch 0.9.6.2 (cli) (built: Jul 1 2011
16:01:01)

I can send a small zip with 3 PHP scripts that generate the error. They
actually contains two versions of the same class. This is the code I
have inherited :(

------------------------------------------------------------------------

[2011-10-01 00:56:49] ashnazg

-Status: Verified
+Status: Closed
Patches for HTML:frames, HTML:Smarty, and PDF converters test fine
against PHP 5.3.8, 5.2.17, and 4.4.9.

Committed to SVN.

------------------------------------------------------------------------

[2011-09-28 03:56:47] ashnazg

-Roadmap Versions:
+Roadmap Versions: 1.4.4
I have a working patch that fixes the issue for the HTML:frames:default
converter, across PHP 5.3.8, 5.2.17, and 4.4.9.

Need to construct patches for the other converters next.

------------------------------------------------------------------------

[2011-09-28 03:55:30] ashnazg

Can't seem to narrow the "testcase" any further than using all the
/codeigniter and /libraries subdirs of CodeIgniter 1.7.2 source. Using
those dirs results in duplicating the failure behavior consistently.

------------------------------------------------------------------------

[2011-09-27 01:25:45] ashnazg

-Status: Feedback
+Status: Verified
Also verified bug behavior against phpDocumentor 1.4.3 on PHP 5.2.17 and
4.4.9.

------------------------------------------------------------------------

The remainder of the comments for this report are too long. To view
the rest of the comments, please view the bug report online at
http://pear.php.net/bugs/bug.php?id=17395

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedJan 13, '12 at 1:50a
activeJan 13, '12 at 1:50a
posts1
users1
websitepear.php.net

1 user in discussion

Demon Gene: 1 post

People

Translate

site design / logo © 2022 Grokbase